Skip to main content
POST
/
api
/
v1
/
notes
/
{id}
/
links
Add a link from a note to another entity.
curl --request POST \
  --url https://api.backside.app/api/v1/notes/{id}/links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "to_entity_type": "<string>",
  "context": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "from_note_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "to_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "to_entity_type": "<string>",
  "context": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Note ID

Body

application/json
to_entity_id
string<uuid>
required
to_entity_type
string
required
context
string | null

Response

201 - application/json
created_at
string<date-time>
required
from_note_id
string<uuid>
required
id
string<uuid>
required
tenant_id
string<uuid>
required
to_entity_id
string<uuid>
required
to_entity_type
string
required
context
string | null